tigase.monitor.modules

## Class DiscoveryMonitorModule

- java.lang.Object
- - tigase.component.modules.AbstractModule<CTX>
  - - tigase.component.modules.impl.DiscoveryModule<MonitorContext>
    - - tigase.monitor.modules.DiscoveryMonitorModule

- All Implemented Interfaces:
    ContextAware, InitializingModule, Module

      public class DiscoveryMonitorModule
      extends DiscoveryModule<MonitorContext>

- - ### Field Summary

    - ### Fields inherited from class tigase.component.modules.impl.DiscoveryModule

      `DISCO_INFO_XMLNS, DISCO_ITEMS_XMLNS, ID`

    - ### Fields inherited from class tigase.component.modules.AbstractModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscoveryMonitorModule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `processAdHocCommandItems(Packet packet, tigase.xmpp.JID jid, String node, tigase.xmpp.JID senderJID)`
    `protected void` | `processDiscoInfo(Packet packet, tigase.xmpp.JID jid, String node, tigase.xmpp.JID senderJID)`
    `protected void` | `processDiscoItems(Packet packet, tigase.xmpp.JID jid, String node, tigase.xmpp.JID senderJID)`

    - ### Methods inherited from class tigase.component.modules.impl.DiscoveryModule

      `getFeatures, getModuleCriteria, process`

    - ### Methods inherited from class tigase.component.modules.AbstractModule

      `afterRegistration, beforeRegister, fireEvent, setContext, unregisterModule, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiscoveryMonitorModule

          public DiscoveryMonitorModule()

  - ### Method Detail

    - #### processAdHocCommandItems

          protected void processAdHocCommandItems(Packet packet,
                                      tigase.xmpp.JID jid,
                                      String node,
                                      tigase.xmpp.JID senderJID)
                                           throws ComponentException,
                                                  RepositoryException

      Overrides:
        `processAdHocCommandItems` in class `DiscoveryModule<MonitorContext>`
      Throws:
        `ComponentException`
        `RepositoryException`

    - #### processDiscoInfo

          protected void processDiscoInfo(Packet packet,
                              tigase.xmpp.JID jid,
                              String node,
                              tigase.xmpp.JID senderJID)
                                   throws ComponentException,
                                          RepositoryException

      Overrides:
        `processDiscoInfo` in class `DiscoveryModule<MonitorContext>`
      Throws:
        `ComponentException`
        `RepositoryException`

    - #### processDiscoItems

          protected void processDiscoItems(Packet packet,
                               tigase.xmpp.JID jid,
                               String node,
                               tigase.xmpp.JID senderJID)
                                    throws ComponentException,
                                           RepositoryException

      Overrides:
        `processDiscoItems` in class `DiscoveryModule<MonitorContext>`
      Throws:
        `ComponentException`
        `RepositoryException`

Copyright © 2015 "Tigase, Inc.". All rights reserved.